Description

On trunk r16872, "rake test:units" and "rake test:functionals" cannot run.

Rails 5 changes directories.

test/unit       -> test/models

test/functional -> test/controllers

http://guides.rubyonrails.org/testing.html#rails-sets-up-for-testing-from-the-word-go

Associated revisions

Revision 16873 - 2017-07-23 19:23 - Toshi MARUYAMA

add empty directories to run "rake test:units" and "rake test:functionals" (#26504)

Revision 16930 - 2017-07-30 20:23 - Jean-Philippe Lang

Move helper tests to test/helpers (#26504).

Revision 16931 - 2017-07-30 20:24 - Jean-Philippe Lang

Removes test/unit/helpers (#26504).

History

#1 - 2017-07-23 19:23 - Toshi MARUYAMA

I have committed r16873.

#2 - 2017-07-24 21:30 - Jean-Philippe Lang

Should we move the tests to the new models, controllers... folders?

#3 - 2017-07-25 06:26 - Toshi MARUYAMA

Jean-Philippe Lang wrote:

Should we move the tests to the new models, controllers... folders?

 I don't know.

But Japanese document says

rake test:units -> run in test/models test/helpers, and test/unit

rake test:functionals -> run in test/controllers, test/mailers, and test/functional

#4 - 2017-07-25 06:29 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

But Japanese document

 I cannot find this part in English document .

#5 - 2017-11-23 21:58 - Jeremy Bailey
Should we move the tests to the new models, controllers... folders?

 I don't know either, but I wanted to help out by finding the cause of the documentation discrepancy.

I cannot find this part in English document .

 It looks like the localized Japanese version of the Rails guide is out of date. This table appeared in the English 4.1 version but was removed from the

English back on March 29th, 2015.

Maybe this overview of changes to testing in Rails 5 will be helpful too.

It appears that rake test should now be bin/rails test in Rails 5. I'm not a Rails developer, just wanted to do a little detective work to move this forward

as a user looking forward to using Redmine 4 eventually!

#6 - 2018-09-15 09:13 - Jean-Philippe Lang

- Target version deleted (4.0.0)

Changes not required and would make merging test changes between branches less easy.

#7 - 2020-04-08 04:46 - Toshi MARUYAMA

- File issue-26504.diff added

- Status changed from New to Closed

I have confirmed on r19683.

"rake test:units" catches failures in test/unit and test/helpers

"rake test:functionals" catches failures in test/functional

Files

issue-26504.diff 1.16 KB 2020-04-08 Toshi MARUYAMA
